<?php

class WactUrlParameterTestCase extends Wact_Test_Case {
    protected $savedGET;
    protected $foo;
    protected $undefined;

    function setUp() {
        $this->savedGET = $_GET;
        $_GET = array('foo' => 'bar');
        $this->foo = new Wact_Request_Url('foo');
        $this->undefined = new Wact_Request_Url('undefined');
    }
    
    function tearDown() {
        $_GET = $this->savedGET;
    }

    function testHasValue() {
        $this->assertTrue($this->foo->hasValue());
        $this->assertFalse($this->undefined->hasValue());
    }

}

?>